/* eslint max-len: 0 */
export default {
  pathToSource: '../../../../handsontable/src',
  pathToDist: '../../../content/api',
  urlPrefix: '/api/',
  seo: {
    'Core.md': {
      id: 'o9civnqe',
      title: 'Core',
      metaTitle: 'Core API reference - JavaScript Data Grid | Handsontable',
      description: 'A complete list of the public API methods of Handsontable\'s core that let you control your data grid programmatically.',
      react: {
        id: '6kcorabp',
        metaTitle: 'Core methods API reference - React Data Grid | Handsontable',
      },
    },
    'Hooks.md': {
      id: 'js126u0h',
      title: 'Hooks',
      metaTitle: 'Hooks API reference - JavaScript Data Grid | Handsontable',
      description: 'A complete list of Handsontable\'s API hooks (callbacks) that let you run your code before or after specific data grid actions.',
      react: {
        id: 'u5rih2o2',
        metaTitle: 'Hooks API reference - React Data Grid | Handsontable',
      },
    },
    'Options.md': {
      id: 'oabbxeng',
      title: 'Configuration options',
      metaTitle: 'Options API reference - JavaScript Data Grid | Handsontable',
      description: 'A complete list of Handsontable\'s configuration options that let you customize your data grid instance.',
      react: {
        id: 'oga06iva',
        metaTitle: 'Options API reference - React Data Grid | Handsontable',
      },
    },
    'AutoColumnSize.md': {
      id: 'hjr7zdxy',
      metaTitle: 'AutoColumnSize - JavaScript Data Grid | Handsontable',
      description: 'Use the AutoColumnSize plugin with its API options, members, and methods to set column widths based on the widest cell in a given column.',
      react: {
        id: '11f3lp0s',
        metaTitle: 'AutoColumnSize - React Data Grid | Handsontable',
      },
    },
    'AutoRowSize.md': {
      id: 'fm3dhdw8',
      metaTitle: 'AutoRowSize - JavaScript Data Grid | Handsontable',
      description: 'Use the AutoRowSize plugin with its API options, members, and methods to set row heights based on the highest cell in a given row.',
      react: {
        id: '8bcocfq1',
        metaTitle: 'AutoRowSize - React Data Grid | Handsontable',
      },
    },
    'Autofill.md': {
      id: 'gybdfu49',
      metaTitle: 'Autofill - JavaScript Data Grid | Handsontable',
      description: 'Use the Autofill plugin with its API members and methods to enable the drag-down and copy-down features.',
      react: {
        id: 'het268ia',
        metaTitle: 'Autofill - React Data Grid | Handsontable',
      },
    },
    'BindRowsWithHeaders.md': {
      id: 'dxv2vk3l',
      metaTitle: 'BindRowsWithHeaders - JavaScript Data Grid | Handsontable',
      description: 'Use the BindRowsWithHeaders plugin with its API options and methods to allow binding table rows to their headers.',
      react: {
        id: '2mdpwy50',
        metaTitle: 'BindRowsWithHeaders - React Data Grid | Handsontable',
      },
    },
    'CollapsibleColumns.md': {
      id: 'edkch5e6',
      metaTitle: 'CollapsibleColumns - JavaScript Data Grid | Handsontable',
      description: 'Use the CollapsibleColumns plugin with its API options and methods to allow collapsing columns that have colspan defined in their header.',
      react: {
        id: '6f5n1j47',
        metaTitle: 'CollapsibleColumns - React Data Grid | Handsontable',
      },
    },
    'ColumnSorting.md': {
      id: 'zbhmqzsv',
      metaTitle: 'ColumnSorting - JavaScript Data Grid | Handsontable',
      description: 'Use the ColumnSorting plugin with its API options and methods to sort the view (not the source data) by column.',
      react: {
        id: 'lpx62nle',
        metaTitle: 'ColumnSorting - React Data Grid | Handsontable',
      },
    },
    'ColumnSummary.md': {
      id: 'wrwu7s6c',
      metaTitle: 'ColumnSummary - JavaScript Data Grid | Handsontable',
      description: 'Use the ColumnSummary plugin with its API options and methods to summarize your columns, using built-in functions or implementing custom summary functions.',
      react: {
        id: '0iw5v2b5',
        metaTitle: 'ColumnSummary - React Data Grid | Handsontable',
      },
    },
    'Comments.md': {
      id: '4sp9dfou',
      metaTitle: 'Comments - JavaScript Data Grid | Handsontable',
      description: 'Use the Comments plugin with its API options, members, and methods to set and manage cell comments through the context menu or the API.',
      react: {
        id: '3g0bkzza',
        metaTitle: 'Comments - React Data Grid | Handsontable',
      },
    },
    'ContextMenu.md': {
      id: 'pczrlicw',
      metaTitle: 'ContextMenu - JavaScript Data Grid | Handsontable',
      description: 'Use the ContextMenu plugin with its API options, members, and methods to enable and customize the context menu.',
      react: {
        id: 'kx1mawmf',
        metaTitle: 'ContextMenu - React Data Grid | Handsontable',
      },
    },
    'CopyPaste.md': {
      id: 'jtoc0ta4',
      metaTitle: 'CopyPaste - JavaScript Data Grid | Handsontable',
      description: 'Use the CopyPaste plugin with its API options, members, and methods to enable the copy/paste functionality, through the API, the context menu, and keyboard shortcuts.',
      react: {
        id: 'g6fi2a6i',
        metaTitle: 'CopyPaste - React Data Grid | Handsontable',
      },
    },
    'CustomBorders.md': {
      id: 'gxm1a98b',
      metaTitle: 'CustomBorders - JavaScript Data Grid | Handsontable',
      description: 'Use the CustomBorders plugin with its API options, members, and methods to set up custom borders for your cells, programmatically or using the context menu.',
      react: {
        id: '93acldzf',
        metaTitle: 'CustomBorders - React Data Grid | Handsontable',
      },
    },
    'DragToScroll.md': {
      id: 'c3f14467',
      metaTitle: 'DragToScroll - JavaScript Data Grid | Handsontable',
      description: 'Use the DragToScroll plugin with its API options, members, and methods to scroll the data grid by selecting a cell and dragging it outside the viewport.',
      react: {
        id: 'uawwix9r',
        metaTitle: 'DragToScroll - React Data Grid | Handsontable',
      },
    },
    'DropdownMenu.md': {
      id: 'snqjcwml',
      metaTitle: 'DropdownMenu - JavaScript Data Grid | Handsontable',
      description: 'Use the DropdownMenu plugin with its API options, members, and methods to enable and customize an interactive column menu.',
      react: {
        id: 'zj3aru0b',
        metaTitle: 'DropdownMenu - React Data Grid | Handsontable',
      },
    },
    'ExportFile.md': {
      id: '4j5eqkhw',
      metaTitle: 'DropdownMenu - JavaScript Data Grid | Handsontable',
      description: 'Export your grid\'s data to the CSV format, as a downloadable file, a blob, or a string. Customize your export using Handsontable\'s configuration options.',
      react: {
        id: 'qsmpym52',
        metaTitle: 'ExportFile - React Data Grid | Handsontable',
      },
    },
    'Filters.md': {
      id: '3alr8j85',
      metaTitle: 'Filters - JavaScript Data Grid | Handsontable',
      description: 'Use the Filters plugin with its API members and methods to filter the view (not the source data) by a value or by a combination of conditions.',
      react: {
        id: 'vxwvhi0e',
        metaTitle: 'Filters - React Data Grid | Handsontable',
      },
    },
    'Formulas.md': {
      id: 'y47bww7n',
      metaTitle: 'Formulas - JavaScript Data Grid | Handsontable',
      description: 'Use the Formulas plugin with its API options, members, and methods to perform Excel-like calculations in your business application.',
      react: {
        id: 'of6l92wv',
        metaTitle: 'Formulas - React Data Grid | Handsontable',
      },
    },
    'HiddenRows.md': {
      id: 'linbgjey',
      metaTitle: 'HiddenRows - JavaScript Data Grid | Handsontable',
      description: 'Use the HiddenRows plugin with its API options and methods to hide specified rows, without modifying your source data.',
      react: {
        id: 'ztxn1ekz',
        metaTitle: 'HiddenRows - React Data Grid | Handsontable',
      },
    },
    'HiddenColumns.md': {
      id: 'v8xg8kot',
      metaTitle: 'HiddenColumns - JavaScript Data Grid | Handsontable',
      description: 'Use the HiddenColumns plugin with its API options and methods to hide specified columns, without modifying your source data.',
      react: {
        id: 'crwccrpj',
        metaTitle: 'HiddenColumns - React Data Grid | Handsontable',
      },
    },
    'ManualColumnFreeze.md': {
      id: 'xn65u35f',
      metaTitle: 'ManualColumnFreeze - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnFreeze plugin with its API options and methods to lock (freeze) the position of specified columns.',
      react: {
        id: '5y6obv03',
        metaTitle: 'ManualColumnFreeze - React Data Grid | Handsontable',
      },
    },
    'ManualColumnMove.md': {
      id: 'bck95e73',
      metaTitle: 'ManualColumnMove - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnMove plugin with its API options and methods (e.g., moveColumn(), moveColumns(), dragColumn()), to change the order of columns.',
      react: {
        id: '41x190ra',
        metaTitle: 'ManualColumnMove - React Data Grid | Handsontable',
      },
    },
    'ManualColumnResize.md': {
      id: '4zjgoamn',
      metaTitle: 'ManualColumnResize - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnResize plugin with its API options and methods to let your users manually change column widths using Handsontable\'s interface.',
      react: {
        id: 'lszzwc0i',
        metaTitle: 'ManualColumnResize - React Data Grid | Handsontable',
      },
    },
    'ManualRowMove.md': {
      id: '4b7ubpab',
      metaTitle: 'ManualRowMove - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualRowMove plugin with its API options and methods (e.g., moveRow(), moveRows(), dragRow()), to change the order of rows.',
      react: {
        id: '87xdqwwb',
        metaTitle: 'ManualRowMove - React Data Grid | Handsontable',
      },
    },
    'ManualRowResize.md': {
      id: 'la7wo1xh',
      metaTitle: 'ManualRowResize - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnResize plugin with its API options and methods to let your users manually change row heights using Handsontable\'s interface.',
      react: {
        id: '7chricz2',
        metaTitle: 'ManualRowResize - React Data Grid | Handsontable',
      },
    },
    'MergeCells.md': {
      id: 'cs07c3ly',
      metaTitle: 'MergeCells - JavaScript Data Grid | Handsontable',
      description: 'Use the MergeCells plugin with its API options and methods to merge adjacent cells, using the "Ctrl + M" shortcut or the context menu.',
      react: {
        id: '62cv5ecx',
        metaTitle: 'MergeCells - React Data Grid | Handsontable',
      },
    },
    'MultiColumnSorting.md': {
      id: 'ypo7x8k9',
      metaTitle: 'MultiColumnSorting - JavaScript Data Grid | Handsontable',
      description: 'Use the MultiColumnSorting plugin with its API methods to sort the view (not the data source) across multiple columns.',
      react: {
        id: '8gqtvsrl',
        metaTitle: 'MultiColumnSorting - React Data Grid | Handsontable',
      },
    },
    'NestedHeaders.md': {
      id: 'inirtbkb',
      metaTitle: 'NestedHeaders - JavaScript Data Grid | Handsontable',
      description: 'Use the NestedHeaders plugin with its API options and methods to group your columns, using multiple levels of nested column headers.',
      react: {
        id: '8qwzxi9i',
        metaTitle: 'NestedHeaders - React Data Grid | Handsontable',
      },
    },
    'NestedRows.md': {
      id: 'iadurw6z',
      metaTitle: 'NestedRows - JavaScript Data Grid | Handsontable',
      description: 'Use the NestedRows plugin with its API options, members and methods to display data in nested structures (where data spans multiple columns).',
      react: {
        id: 'fvo6cybt',
        metaTitle: 'NestedRows - React Data Grid | Handsontable',
      },
    },
    'PersistentState.md': {
      id: 'eh8nz1kw',
      metaTitle: 'PersistentState - JavaScript Data Grid | Handsontable',
      description: 'Use the PersistentState plugin with its API options and methods to keep the state of column sorting, column positions, and column sizes between page reloads.',
      react: {
        id: '8he28jcj',
        metaTitle: 'PersistentState - React Data Grid | Handsontable',
      },
    },
    'Search.md': {
      id: '4r6t4j1z',
      metaTitle: 'Search - JavaScript Data Grid | Handsontable',
      description: 'Use the Search plugin with its API options and methods such as query(), to configure and customize Handsontable\'s search.',
      react: {
        id: 'acamkuxd',
        metaTitle: 'Search - React Data Grid | Handsontable',
      },
    },
    'TrimRows.md': {
      id: 'ks06q7cq',
      metaTitle: 'TrimRows - JavaScript Data Grid | Handsontable',
      description: 'Use the TrimRows plugin with its API options and methods to remove rows from the table view and the DataMap.',
      react: {
        id: 'ysqsy1ec',
        metaTitle: 'TrimRows - React Data Grid | Handsontable',
      },
    },
    'UndoRedo.md': {
      id: 'coyq5h6m',
      metaTitle: 'UndoRedo - JavaScript Data Grid | Handsontable',
      description: 'Use the UndoRedo plugin with its API options and methods to revert and restore your changes.',
      react: {
        id: 't5lpzjly',
        metaTitle: 'UndoRedo - React Data Grid | Handsontable',
      },
    },
    'BaseEditor.md': {
      id: 'l025jsly',
      metaTitle: 'BaseEditor - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s BaseEditor API.',
      react: {
        id: 'snc3axwd',
        metaTitle: 'BaseEditor - React Data Grid | Handsontable',
      },
    },
    'BasePlugin.md': {
      id: 'wdr58c2w',
      metaTitle: 'BasePlugin - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s BasePlugin API.',
      react: {
        id: 'wi27fiwz',
        metaTitle: 'BasePlugin - React Data Grid | Handsontable',
      },
    },
    'CellCoords.md': {
      id: 'qthfdrss',
      metaTitle: 'CellCoords - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s CellCoord API.',
      react: {
        id: 'ufhe1gsm',
        metaTitle: 'CellCoords - React Data Grid | Handsontable',
      },
    },
    'CellRange.md': {
      id: '9za1u3q7',
      metaTitle: 'CellRange - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s CellRange API.',
      react: {
        id: 'mpqwzjpm',
        metaTitle: 'CellRange - React Data Grid | Handsontable',
      },
    },
    'ChangesObserver.md': {
      id: 'n1d2orqc',
      metaTitle: 'ChangesObserver - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s ChangesObserver API.',
      react: {
        id: 'v5k5tou4',
        metaTitle: 'ChangesObserver - React Data Grid | Handsontable',
      },
    },
    'createShortcutManager.md': {
      id: 'wt56lf3y',
      metaTitle: 'CreateShortcutManager - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s CreateShortcutManager API.',
      react: {
        id: 'smdsdtby',
        metaTitle: 'CreateShortcutManager - React Data Grid | Handsontable',
      },
    },
    'ShortcutManager.md': {
      id: 'qos98msl',
      metaTitle: 'ShortcutManager - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s ShortcutManager API.',
      react: {
        id: 'doot085y',
        metaTitle: 'ShortcutManager - React Data Grid | Handsontable',
      },
    },
    'DataMap.md': {
      id: 'pt2wrekc',
      metaTitle: 'DataMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s DataMap API.',
      react: {
        id: 'a2342zyo',
        metaTitle: 'DataMap - React Data Grid | Handsontable',
      },
    },
    'GhostTable.md': {
      id: '1i74gjp4',
      metaTitle: 'GhostTable - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s GhostTable API.',
      react: {
        id: 'bbq83v9b',
        metaTitle: 'GhostTable - React Data Grid | Handsontable',
      },
    },
    'HidingMap.md': {
      id: 'g0whnkji',
      metaTitle: 'HidingMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s HidingMap API.',
      react: {
        id: '9k5ucjxx',
        metaTitle: 'HidingMap - React Data Grid | Handsontable',
      },
    },
    'IndexMap.md': {
      id: '8b008itj',
      metaTitle: 'IndexMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s IndexMap API.',
      react: {
        id: 'nwnemipo',
        metaTitle: 'IndexMap - React Data Grid | Handsontable',
      },
    },
    'IndexMapper.md': {
      id: 'uolxl0ol',
      metaTitle: 'IndexMapper - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s IndexMapper API.',
      react: {
        id: 'sbs3825t',
        metaTitle: 'IndexMapper - React Data Grid | Handsontable',
      },
    },
    'IndexesSequence.md': {
      id: 'huuybcbn',
      metaTitle: 'IndexesSequence - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s IndexesSequence API.',
      react: {
        id: '5nrvua89',
        metaTitle: 'IndexesSequence - React Data Grid | Handsontable',
      },
    },
    'LinkedPhysicalIndexToValueMap.md': {
      id: 'pjeolp38',
      metaTitle: 'LinkedPhysicalIndexToValueMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s LinkedPhysicalIndexToValueMap API.',
      react: {
        id: 'h10c2au0',
        metaTitle: 'LinkedPhysicalIndexToValueMap - React Data Grid | Handsontable',
      },
    },
    'Menu.md': {
      id: '6a7q8pb9',
      metaTitle: 'Menu - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s Menu API.',
      react: {
        id: '2eifxhv3',
        metaTitle: 'Menu - React Data Grid | Handsontable',
      },
    },
    'PhysicalIndexToValueMap.md': {
      id: 'x5bgvsa4',
      metaTitle: 'PhysicalIndexToValueMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s PhysicalIndexToValueMap API.',
      react: {
        id: '8f31lcaa',
        metaTitle: 'PhysicalIndexToValueMap - React Data Grid | Handsontable',
      },
    },
    'SamplesGenerator.md': {
      id: 'n9lf8vn4',
      metaTitle: 'SamplesGenerator - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s SamplesGenerator API.',
      react: {
        id: 'gh3nicnu',
        metaTitle: 'SamplesGenerator - React Data Grid | Handsontable',
      },
    },
    'ShortcutContext.md': {
      id: 'aksi47xv',
      metaTitle: 'ShortcutContext - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s ShortcutContext API.',
      react: {
        id: 'qhf0cz5d',
        metaTitle: 'ShortcutContext - React Data Grid | Handsontable',
      },
    },
    'TrimmingMap.md': {
      id: '8wnfx6b9',
      metaTitle: 'TrimmingMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s TrimmingMap API.',
      react: {
        id: 'l3n89gff',
        metaTitle: 'TrimmingMap - React Data Grid | Handsontable',
      },
    },
    'EventManager.md': {
      id: '3k9p5r7t',
      metaTitle: 'EventManager - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s EventManager API.',
      react: {
        id: '5j7d9k2r',
        metaTitle: 'EventManager - React Data Grid | Handsontable',
      },
    },
  }
};
